EZ_SetWidgetLabelString(3)

NAME
EZ_SetWidgetLabelString, EZ_GetWidgetLabelString, EZ_GetWidgetLabelPosition - retrieve information about the textual lable on a widget

SYNOPSIS
#include <EZ.h>

void  EZ_GetWidgetLabelString( EZ_Widget *widget)
void  EZ_SetWidgetLabelString( EZ_Widget *widget, char *str)
void  EZ_GetWidgetLabelPosition( EZ_Widget *widget, int *x, int *y)

ARGUMENTS
widget Specifies an EZ Widget.

str Specifies a string.

x,y Specifies the return for the label position.

DESCRIPTION

EZ_SetWidgetLabelString sets the textual lable of widget to the specified string str. Only the button-type widget support textual labels (label, buttons, menu-items and frames).

EZ_GetWidgetLabelString returns the label string of a widget.

EZ_GetWidgetLabelPosition returns the coordinate of the starting position to render the textual label, relative to the upper left corner of the widget window. If the widget is not viewable, it returns 0.

SEE ALSO
 EZ_CreateWidget(3), EZ_GetWidgetGeometry(3)